#include "cron.ih"

    // by cronjobs.cc

bool Cron::add(CronEntry const &entry, DateTime const &now)
{
    return 
        call(now.minutes(),     entry.minutes())
        &&
        call(now.hours(),       entry.hours())
        &&
        call(now.month() + 1,   entry.monthOfYear())
        &&
        call(now.monthDayNr(),  entry.dayOfMonth())
        &&
        call(now.weekday(),     entry.dayOfWeek());
}
